package com.usky.iot.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.iot.domain.BaseBuild;
import com.usky.common.mybatis.core.CrudService;
import com.usky.iot.service.vo.BuildFacilityRelateRequestVO;
import com.usky.iot.service.vo.BuildFacilityRelateResponeVO;
import com.usky.iot.service.vo.BuildFacilityStatusVO;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 建筑信息 服务类
 * </p>
 *
 * @author han
 * @since 2023-06-07
 */
public interface BaseBuildService extends CrudService<BaseBuild> {

    void add(BaseBuild baseBuild);

    void update(BaseBuild baseBuild);

    void remove(Integer id);

    List<BaseBuild> dataList();

    CommonPage<BuildFacilityRelateResponeVO> buildFacilityRelateList(BuildFacilityRelateRequestVO requestVO);

    void setBuildFacilityStatus(BuildFacilityStatusVO statusVO);

//    boolean checkNameUnique(BaseBuild baseBuild);
}
